API ReferenceIncome Category
Creates a IncomeCategory resource.
POST
Creates a IncomeCategory resource.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new IncomeCategory resource
- body
name*stringLength
length <= 100IncomeCategory resource created
- response
id?stringFormat
uuidname?stringLength
length <= 100createdAt?stringFormat
date-timeupdatedAt?stringFormat
date-timecreatedBy?|nullcurl -X POST 'https://app.icproject.com/api/instance/demo/finance/income-categories' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }}